Bug 538970

Summary: FTBFS R-multtest-2.0.0-2.fc12
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: R-multtestAssignee: Pierre-YvesChibon <pingou>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: rawhideCC: alexl, herrold, pingou
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: 1.4.7-1.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-03 04:55:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 538681    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log none

Description FTBFS 2009-11-19 16:15:50 UTC
R-multtest-2.0.0-2.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.

Comment 1 FTBFS 2009-11-19 16:15:53 UTC
Setting to ASSIGNED per Fedora Bug Triage workflow.  https://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow

Comment 2 FTBFS 2009-11-19 16:15:57 UTC
Created attachment 370910 [details]
root.log

root.log for i386

Comment 3 FTBFS 2009-11-19 16:15:58 UTC
Created attachment 370911 [details]
build.log

build.log for i386

Comment 4 FTBFS 2009-11-19 16:16:00 UTC
Created attachment 370912 [details]
mock.log

mock.log for i386

Comment 5 FTBFS 2009-11-19 16:16:02 UTC
Created attachment 370913 [details]
root.log

root.log for x86_64

Comment 6 FTBFS 2009-11-19 16:16:03 UTC
Created attachment 370914 [details]
build.log

build.log for x86_64

Comment 7 FTBFS 2009-11-19 16:16:04 UTC
Created attachment 370915 [details]
mock.log

mock.log for x86_64

Comment 8 R P Herrold 2009-11-20 18:18:06 UTC
Some of the RawHide R packagings use an older and deprecated model of 
NOT combining a 'flattened' combilation of the upstream R archive of 
the R version and the R release, into a single value, in the RPM Version

The need to do so is to permit well ordered, and meaningful RPM Release bumps, 
in the event that a repackaging or security backport becomes needed

Fortunately, the 'flattening' of the R version and the R release has the useful 
RPM rpmvercmp effect of 'comparing newer' on the flatened package, and so may 
be safely done.

See this link for the a description of the issue
   https://www.redhat.com/archives/fedora-r-devel-list/2009-June/msg00003.html

May I please ask that this be 'flattened' along with fixing the additional 
issue which caused the bug.  The new RPM Release would become:

   2.0.0.2

Thank you

-- Russ herrold

Comment 9 Fedora Update System 2009-11-29 20:38:20 UTC
R-IRanges-1.4.7-1.fc10,R-affy-1.24.2-1.fc10,R-hgu95av2probe-2.5.0-1.fc10,R-multtest-2.2.0-1.fc10,R-tkWidgets-1.24.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/R-IRanges-1.4.7-1.fc10,R-affy-1.24.2-1.fc10,R-hgu95av2probe-2.5.0-1.fc10,R-multtest-2.2.0-1.fc10,R-tkWidgets-1.24.0-1.fc10

Comment 10 Fedora Update System 2009-11-29 20:39:01 UTC
R-IRanges-1.4.7-1.fc11,R-affy-1.24.2-1.fc11,R-hgu95av2probe-2.5.0-1.fc11,R-multtest-2.2.0-1.fc11,R-tkWidgets-1.24.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/R-IRanges-1.4.7-1.fc11,R-affy-1.24.2-1.fc11,R-hgu95av2probe-2.5.0-1.fc11,R-multtest-2.2.0-1.fc11,R-tkWidgets-1.24.0-1.fc11

Comment 11 Fedora Update System 2009-12-01 04:26:36 UTC
R-IRanges-1.4.7-1.fc11, R-affy-1.24.2-1.fc11, R-hgu95av2probe-2.5.0-1.fc11, R-multtest-2.2.0-1.fc11, R-tkWidgets-1.24.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-IRanges R-affy R-hgu95av2probe R-multtest R-tkWidgets'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12385

Comment 12 Fedora Update System 2009-12-01 04:32:47 UTC
R-IRanges-1.4.7-1.fc10, R-affy-1.24.2-1.fc10, R-hgu95av2probe-2.5.0-1.fc10, R-multtest-2.2.0-1.fc10, R-tkWidgets-1.24.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-IRanges R-affy R-hgu95av2probe R-multtest R-tkWidgets'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-12413

Comment 13 Fedora Update System 2009-12-01 04:41:10 UTC
R-IRanges-1.4.7-1.fc12, R-affy-1.24.2-1.fc12, R-hgu95av2probe-2.5.0-1.fc12, R-multtest-2.2.0-1.fc12, R-tkWidgets-1.24.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-IRanges R-affy R-hgu95av2probe R-multtest R-tkWidgets'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12438

Comment 14 Fedora Update System 2009-12-03 04:55:19 UTC
R-IRanges-1.4.7-1.fc10, R-affy-1.24.2-1.fc10, R-hgu95av2probe-2.5.0-1.fc10, R-multtest-2.2.0-1.fc10, R-tkWidgets-1.24.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-12-03 05:05:35 UTC
R-IRanges-1.4.7-1.fc12, R-affy-1.24.2-1.fc12, R-hgu95av2probe-2.5.0-1.fc12, R-multtest-2.2.0-1.fc12, R-tkWidgets-1.24.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-12-03 05:09:43 UTC
R-IRanges-1.4.7-1.fc11, R-affy-1.24.2-1.fc11, R-hgu95av2probe-2.5.0-1.fc11, R-multtest-2.2.0-1.fc11, R-tkWidgets-1.24.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.